#define MyAppName "LD Pattern Creator"
#define MyAppVersion "1.2.1"
#define MyAppPublisher "Nils Schmidt"
#define MyAppExeName "LDPatternCreator.exe"

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications.
; (To generate a new GUID, click Tools | Generate GUID inside the IDE.)
AppId={{8475C4ED-3F16-4CE6-8A06-5ACAD392E575}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppPublisher={#MyAppPublisher}
DefaultDirName={pf}\LDPatternCreator
DefaultGroupName={#MyAppName}
AllowNoIcons=yes
LicenseFile=C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\License.rtf
OutputDir=C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\Setup\Final
OutputBaseFilename=LPC_1_2_1_Setup
Compression=lzma
SolidCompression=yes

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"
Name: "french"; MessagesFile: "compiler:Languages\French.isl"
Name: "german"; MessagesFile: "compiler:Languages\German.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\LDPatternCreator.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\3005 Brick  1 x  1 (Front).txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\3068b Tile  2 x  2 with Groove.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\3069b Tile  1 x  2 with Groove.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\3070b Tile  1 x  1 with Groove.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\2525 Flag  6 x  4 (Front and Back).txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\973 Torso (Front and Black Neck Mark).txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\973 Torso (Front and White Neck Mark).txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\973 Torso (Front).txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\3298 Slope Brick 33  3 x  2.txt"; DestDir: "{app}"; Flags: ignoreversion

Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\Example.bmp"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\License.rtf"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\bin\Release\Template_HowTo.rtf"; DestDir: "{app}"; Flags: ignoreversion
Source: "C:\Dokumente und Einstellungen\nils\Eigene Dateien\Visual Studio 2008\Projects\LDrawPatternCreator\LDrawPatternCreator\Setup\LPC.ico"; DestDir: "{app}"; Flags: ignoreversion

[UninstallDelete]
Type: files; Name: "{app}\Rectifier.exe"
Type: files; Name: "{app}\LDConfig.ldr"
Type: files; Name: "{app}\Config.cfg"


[Icons]
Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"
Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon

[Registry]
Root: HKCR; Subkey: ".lpc"; ValueType: string; ValueName: ; ValueData: "lpcfile"; Flags: uninsdeletekey
Root: HKCR; Subkey: "lpcfile\DefaultIcon"; ValueType: string; ValueName: ; ValueData: "{app}\LPC.ico"; Flags: uninsdeletekey
Root: HKCR; Subkey: "lpcfile\shell\open\command"; ValueType: string; ValueName: ; ValueData: "{app}\{#MyAppExeName} %1"; Flags: uninsdeletekey



[Run]
Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, "&", "&&")}}"; Flags: nowait postinstall skipifsilent

