﻿Option Strict Off
Imports System.Windows.Forms

Public Class ZoomDialog

    Public Shared zoomfactor As Single
    Public Shared ul_corner(1) As Single
    Public Shared lr_corner(1) As Single
    Public Shared newOffset(1) As Single
    Private oldZF As Single
    Private oldul_corner(1) As Single
    Private oldlr_corner(1) As Single
    Private oldOffset(1) As Single
    Private lockUL As Boolean = False
    Private lockLR As Boolean = True

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        MainForm.zoomfactor = zoomfactor

        MainForm.offsetX = (ul_corner(0) + lr_corner(0)) / 2
        MainForm.offsetY = -(ul_corner(1) + lr_corner(1)) / 2
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub NUDZoom_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NUDZoom.ValueChanged
        zoomfactor = NUDZoom.Value / 100
        lockLR = True
        lockUL = True
        TBULx.Text = ul_corner(0) / 1000 * (zoomfactor / oldZF) * MainForm.factor
        TBULy.Text = ul_corner(1) / 1000 * (zoomfactor / oldZF) * MainForm.factor

        TBLRx.Text = lr_corner(0) / 1000 * (zoomfactor / oldZF) * MainForm.factor
        TBLRy.Text = lr_corner(1) / 1000 * (zoomfactor / oldZF) * MainForm.factor
        lockLR = False
        lockUL = False
    End Sub

    Private Sub ZoomDialog_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        ZoomDialog.ul_corner(0) = MainForm.getXcoordinate(0)
        ZoomDialog.ul_corner(1) = MainForm.getYcoordinate(0)
        ZoomDialog.lr_corner(0) = MainForm.getXcoordinate(MainForm.ClientSize.Width)
        ZoomDialog.lr_corner(1) = MainForm.getYcoordinate(MainForm.ClientSize.Height)
        lockLR = True
        lockUL = True
        TBULx.Text = Math.Round(ul_corner(0) / 1000 * MainForm.factor, 4)
        TBULy.Text = Math.Round(ul_corner(1) / 1000 * MainForm.factor, 4)

        TBLRx.Text = Math.Round(lr_corner(0) / 1000 * MainForm.factor, 4)
        TBLRy.Text = Math.Round(lr_corner(1) / 1000 * MainForm.factor, 4)
        lockLR = False
        lockUL = False
        zoomfactor = MainForm.zoomfactor
        oldZF = zoomfactor
        newOffset(0) = MainForm.offsetX
        newOffset(1) = MainForm.offsetY
        oldlr_corner = lr_corner.Clone
        oldul_corner = ul_corner.Clone
        oldOffset = newOffset.Clone
        Me.NUDZoom.Value = zoomfactor * 100
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.NUDZoom.Value = zoomfactor * 100
    End Sub

    Private Sub TBULx_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBULx.TextChanged 
        If Not lockUL Then
            lockLR = True
            Try
                ul_corner(0) = CType(TBULx.Text, Single) * 1000 / MainForm.factor
                TBLRx.Text = ul_corner(0) / 1000 - MainForm.ClientSize.Width / 1000 * MainForm.factor / zoomfactor
                lr_corner(0) = ul_corner(0) - MainForm.ClientSize.Width * MainForm.factor / zoomfactor
                sender.ForeColor = Color.FromKnownColor(KnownColor.ControlText)
            Catch ex As Exception
                sender.ForeColor = Color.FromKnownColor(KnownColor.HotTrack)
            End Try
            OK_Button.Enabled = validData()
            lockLR = False
        End If
    End Sub

    Private Sub TBULy_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBULy.TextChanged
        If Not lockUL Then
            lockLR = True
            Try
                ul_corner(1) = CType(TBULy.Text, Single) * 1000 / MainForm.factor
                TBLRy.Text = ul_corner(1) / 1000 + MainForm.ClientSize.Height / 1000 * MainForm.factor / zoomfactor
                lr_corner(1) = ul_corner(1) + MainForm.ClientSize.Height * MainForm.factor / zoomfactor
                sender.ForeColor = Color.FromKnownColor(KnownColor.ControlText)
            Catch ex As Exception
                sender.ForeColor = Color.FromKnownColor(KnownColor.HotTrack)
            End Try
            OK_Button.Enabled = validData()
            lockLR = False
        End If
    End Sub

    Private Sub TBLRx_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBLRx.TextChanged
        If Not lockLR Then
            lockUL = True
            Try
                lr_corner(0) = CType(TBLRx.Text, Single) * 1000 / MainForm.factor
                TBULx.Text = lr_corner(0) / 1000 + MainForm.ClientSize.Width / 1000 * MainForm.factor / zoomfactor
                ul_corner(0) = lr_corner(0) + MainForm.ClientSize.Width * MainForm.factor / zoomfactor
                sender.ForeColor = Color.FromKnownColor(KnownColor.ControlText)
            Catch ex As Exception
                sender.ForeColor = Color.FromKnownColor(KnownColor.HotTrack)
            End Try
            OK_Button.Enabled = validData()
            lockUL = False
        End If
    End Sub

    Private Sub TBLRy_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBLRy.TextChanged
        If Not lockLR Then
            lockUL = True
            Try
                lr_corner(1) = CType(TBLRy.Text, Single) * 1000 / MainForm.factor
                TBULy.Text = lr_corner(1) / 1000 - MainForm.ClientSize.Height / 1000 * MainForm.factor / zoomfactor
                ul_corner(1) = lr_corner(1) - MainForm.ClientSize.Height * MainForm.factor / zoomfactor
                sender.ForeColor = Color.FromKnownColor(KnownColor.ControlText)
            Catch ex As Exception
                sender.ForeColor = Color.FromKnownColor(KnownColor.HotTrack)
            End Try
            OK_Button.Enabled = validData()
            lockUL = False
        End If
    End Sub

    Private Function validData() As Boolean
        Return (TBLRx.ForeColor = Color.FromKnownColor(KnownColor.ControlText)) AndAlso (TBLRy.ForeColor = Color.FromKnownColor(KnownColor.ControlText)) AndAlso (TBULx.ForeColor = Color.FromKnownColor(KnownColor.ControlText)) AndAlso (TBULy.ForeColor = Color.FromKnownColor(KnownColor.ControlText))
    End Function
End Class
